Name:      lpsolve
Summary:   A Mixed Integer Linear Programming (MILP) solver
Version:   5.5.2.5
Release:   %mkrel 4
Source:    http://downloads.sourceforge.net/lpsolve/lp_solve_%{version}_source.tar.gz
Group:     System/Libraries
URL:       http://sourceforge.net/projects/lpsolve
License:   LGPLv2+

Patch0:    lpsolve-5.5.0.11.cflags.patch
Patch1:    lpsolve-5.5.2.0.defines.patch

%description
Mixed Integer Linear Programming (MILP) solver lpsolve solves pure linear,
(mixed) integer/binary, semi-continuous and special ordered sets (SOS) models.

%package devel
Requires: lpsolve = %{version}-%{release}
Summary: Files for developing with lpsolve
Group: Development/C

%description devel
Includes and definitions for developing with lpsolve

%prep
%setup -q -n lp_solve_5.5
%patch0 -p1 -b .cflags.patch
%patch1 -p1 -b .defines.patch

%build
%set_build_flags
cd lpsolve55
sh -x ccc
rm bin/ux*/liblpsolve55.a
cd ../lp_solve
sh -x ccc

%install
install -d %{buildroot}%{_bindir} %{buildroot}%{_libdir} %{buildroot}%{_includedir}/lpsolve
install -p -m 755 \
        lp_solve/bin/ux*/lp_solve %{buildroot}%{_bindir}
install -p -m 755 \
        lpsolve55/bin/ux*/liblpsolve55.so %{buildroot}%{_libdir}
install -p -m 644 \
        lp*.h %{buildroot}%{_includedir}/lpsolve

%files
%doc README.txt ./bfp/bfp_LUSOL/LUSOL/LUSOL_LGPL.txt ./bfp/bfp_LUSOL/LUSOL/LUSOL_README.txt ./bfp/bfp_LUSOL/LUSOL/LUSOL-overview.txt
%{_bindir}/lp_solve
%{_libdir}/*.so

%files devel
%{_includedir}/lpsolve


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 5.5.2.5-4.mga8
+ Revision: 1514896
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 5.5.2.5-3.mga7
+ Revision: 1299351
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 5.5.2.5-2.mga7
+ Revision: 1239329
- sync patches from Fedora to fix build

* Sun Jan 01 2017 luigiwalser <luigiwalser> 5.5.2.5-1.mga6
+ Revision: 1078987
- 5.5.2.5

* Tue Feb 02 2016 umeabot <umeabot> 5.5.2.0-8.mga6
+ Revision: 932808
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.5.2.0-7.mga5
+ Revision: 741179
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.5.2.0-6.mga5
+ Revision: 682004
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 5.5.2.0-5.mga4
+ Revision: 507559
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 5.5.2.0-4.mga3
+ Revision: 359007
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 malo <malo> 5.5.2.0-3.mga3
+ Revision: 339526
- fix RPM group

* Sun Jan 23 2011 dmorgan <dmorgan> 5.5.2.0-2.mga1
+ Revision: 35293
- Adapt for mageia
- imported package lpsolve


* Tue Dec 21 2010 Dan Horák <dan[at]danny.cz> - 5.5.2.0-2
- fix build on s390(x)

* Fri Aug 13 2010 Caolán McNamara <caolanm@redhat.com> - 5.5.2.0-1
- latest version

* Mon Dec 21 2009 Caolán McNamara <caolanm@redhat.com> - 5.5.0.15-3
- Preserve timestamps

* Thu Nov 05 2009 Caolán McNamara <caolanm@redhat.com> - 5.5.0.15-2
- upstream source silently changed content

* Sat Sep 12 2009 Caolán McNamara <caolanm@redhat.com> - 5.5.0.15-1
- latest version

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.5.0.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.5.0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Caolán McNamara <caolanm@redhat.com> - 5.5.0.14-2
- defuzz patch

* Mon Feb 02 2009 Caolán McNamara <caolanm@redhat.com> - 5.5.0.14-1
- latest version

* Fri Jan 02 2009 Dennis Gilmore <dennis@ausil.us> - 5.5.0.13-2
- use -fPIC on sparc and s390 arches

* Mon Aug 04 2008 Caolán McNamara <caolanm@redhat.com> - 5.5.0.13-1
- latest version

* Sat Aug 02 2008 Caolán McNamara <caolanm@redhat.com> - 5.5.0.12-2
- Mar 20 upstream tarball now differs from Mar 14 tarball

* Fri Mar 14 2008 Caolán McNamara <caolanm@redhat.com> - 5.5.0.12-1
- latest version

* Wed Feb 20 2008 Caolán McNamara <caolanm@redhat.com> - 5.5.0.11-1
- initial version
